unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Data.DbxSqlite, Vcl.StdCtrls, Data.DB,
  Data.SqlExpr;

type
  TForm1 = class(TForm)
    SQLConnection1: TSQLConnection;
    executeButton: TButton;
    connectButton: TButton;
    outputMemo: TMemo;
    procedure connectButtonClick(Sender: TObject);
    procedure executeButtonClick(Sender: TObject);
  private
    procedure ShowSelectResults(results: TDataSet);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.connectButtonClick(Sender: TObject);
begin
  SQLConnection1.Params.Add('Database=d:\testdata\world.db3');
  try
    SQLConnection1.Connected := true;
    executeButton.Enabled := true;
    outputMemo.Text := 'Connection established';
  except
    on E: EDatabaseError do
      ShowMessage('Exception: ' + E.Message);
  end;

end;

procedure TForm1.executeButtonClick(Sender: TObject);
var
  results: TDataSet;
  query: String;
begin
  outputMemo.Clear;
  // A random query
  query := 'SELECT * FROM country;';

  try
  // Execute the query on the database.
    SQLConnection1.Execute(query, nil, results);
  except
    on E: Exception do
      outputMemo.Text := 'Exception raised with message: ' + E.Message;
  end;
  // Show the results of the query in a TMemo control.
  ShowSelectResults(results);
end;
procedure TForm1.ShowSelectResults(results: TDataSet);
var
  names: TStringList;
  i: Integer;
  currentField: TField;
  currentLine: string;
begin
  if not results.IsEmpty then
  begin
    results.First;
    names := TStringList.Create;
    results.GetFieldNames(names);
    while not results.Eof do
    begin
      currentLine := '';
      for i := 0 to names.Count - 1 do
      begin
        currentField := results.FieldByName(names[i]);
        currentLine := currentLine + ' ' + currentField.AsString;
      end;
      outputMemo.Lines.Add(currentLine);
      results.Next;
    end;
  end;
end;

end.
